#ifndef BISON_PARSE_H
# define BISON_PARSE_H

#ifndef YYSTYPE
typedef union
{
  st_node * p_node;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	CMD_REGISTER	257
# define	CMD_NEXT_REG	258
# define	CMD_NEXT_SEC	259
# define	CMD_DB	260
# define	CMD_DW	261
# define	CMD_DD	262
# define	CMD_JMP_NEXT_SEC	263
# define	CMD_JMP_SEC	264
# define	CMD_JMP_OFS	265
# define	CMD_JMP_OFS_SEC	266
# define	CMD_JMP_IND	267
# define	CMD_JMP_EQ	268
# define	CMD_JMP_NEQ	269
# define	CMD_JMP_GT	270
# define	CMD_JMP_NGT	271
# define	CMD_JMP_LT	272
# define	CMD_JMP_NLT	273
# define	CMD_JMP_GTS	274
# define	CMD_JMP_NGTS	275
# define	CMD_JMP_LTS	276
# define	CMD_JMP_NLTS	277
# define	CMD_JMP_AND_Z	278
# define	CMD_JMP_AND_NZ	279
# define	CMD_JMP_OR_M	280
# define	CMD_JMP_OR_NM	281
# define	CMD_MOV	282
# define	CMD_MOV2	283
# define	CMD_MOV4	284
# define	CMD_RD_I	285
# define	CMD_WR_I	286
# define	CMD_RD_S	287
# define	CMD_RD_CF	288
# define	CMD_ADD	289
# define	CMD_ADDC	290
# define	CMD_SUB	291
# define	CMD_SUBB	292
# define	CMD_MUL	293
# define	CMD_MULS	294
# define	CMD_DIV	295
# define	CMD_DIVS	296
# define	CMD_AND	297
# define	CMD_OR	298
# define	CMD_XOR	299
# define	CMD_SHL	300
# define	CMD_SHR	301
# define	CMD_ROL	302
# define	CMD_ROR	303
# define	CMD_PUSH	304
# define	CMD_PUSH_C	305
# define	CMD_POP	306
# define	CMD_CALL	307
# define	CMD_CALL_IND	308
# define	CMD_RET	309
# define	CMD_RD_PIX	310
# define	CMD_RD_OVP	311
# define	CMD_WR_PIX	312
# define	CMD_WR_OVP	313
# define	CMD_WR_PIX_LINE	314
# define	CMD_WR_OVP_LINE	315
# define	CMD_WR_PIX_QUART	316
# define	CMD_WR_OVP_QUART	317
# define	CMD_WR_PIX_CLR	318
# define	CMD_WR_OVP_CLR	319
# define	CMD_WR_PIX_SET	320
# define	CMD_WR_OVP_SET	321
# define	CMD_WR_PIX_BW	322
# define	CMD_WR_OVP_BW	323
# define	CMD_WR_PIX_SEL	324
# define	CMD_WR_OVP_SEL	325
# define	CMD_CP_BLK_PP	326
# define	CMD_CP_BLK_PO	327
# define	CMD_CP_BLK_OP	328
# define	CMD_CP_BLK_OO	329
# define	CMD_CP_BLK_PP_TR	330
# define	CMD_CP_BLK_PO_TR	331
# define	CMD_CP_BLK_OP_TR	332
# define	CMD_CP_BLK_OO_TR	333
# define	CMD_DISPLAY	334
# define	CMD_DISPLAY_CP	335
# define	CMD_DELAY_DO	336
# define	CMD_DELAY_START	337
# define	CMD_DELAY_CHECK	338
# define	CMD_DELAY_WAIT	339
# define	CMD_GET_KEYS	340
# define	CMD_GET_SNES0	341
# define	CMD_GET_SNES1	342
# define	CMD_GET_TIME	343
# define	CMD_SET_TIME	344
# define	CMD_RND	345
# define	CMD_VER	346
# define	CMD_NOP	347
# define	LABEL_CON	348
# define	IDENT_CON	349
# define	LABEL_REG	350
# define	IDENT_REG	351
# define	LABEL_ADDR	352
# define	IDENT_ADDR	353
# define	NUMBER	354
# define	CHAR	355
# define	STRING	356
# define	LBRA	357
# define	RBRA	358
# define	NOT	359
# define	MUL	360
# define	DIV	361
# define	MOD	362
# define	ADD	363
# define	SUB	364
# define	SHL	365
# define	SHR	366
# define	AND	367
# define	XOR	368
# define	OR	369
# define	SEC	370
# define	OFS	371
# define	REG	372
# define	COMMA	373
# define	SEM	374
# define	COMMENT	375
# define	UNKNOWN	376


extern YYSTYPE yylval;

#endif /* not BISON_PARSE_H */
